etop(3)

NAME
etop - Erlang Top is a tool for presenting information about erlang processes similar to the information presented by "top" in UNIX.

DESCRIPTION

etop should be started with the provided scripts etop and getop for text based and graphical presentation respectively. This will start a hidden erlang node which connects to the node to be measured. The measured node is given with the -node option. If the measured node has a different cookie than the default cookie for the user who invokes the script, the cookie must be explicitly given witht the -setcookie option.

Under Windows the batch files etop.bat and getop.bat can be used.

The following configuration parameters exist for the etop tool. When executing the etop or getop scripts, these parameters can be given as command line options, e.g. getop -node testnode@myhost -setcookie MyCookie.

    node:
        The measured node.
         Value: atom()
         Mandatory

    setcookie:
        Cookie to use for the etop node - must be the same as the cookie on the measured node.
         Value: atom()

    lines:
        Number of lines (processes) to display.
         Value: integer()
         Default: 10

    interval:
        The time interval (in seconds) between each update of the display.
         Value: integer()
         Default: 5

    accumulate:
        If true the execution time and reductions are accumulated.
         Value: boolean()
         Default: false

    sort:
        Identifies what information to sort by.
         Value: runtime | reductions | memory | msg_q
         Default: runtime (reductions if tracing=off)

    tracing:
        etop uses the erlang trace facility, and thus no other tracing is possible on the measured node while etop is running, unless this option is set to off. Also helpful if the etop tracing causes too high load on the measured node. With tracing off, runtime is not measured.
         Value: on | off
         Default: on

All interaction with etop when running the graphical presentation should happen via the menus. For the text based presentation the functions described below can be used.

See the user's guide for more information about the etop tool.

EXPORTS

start() -> ok

    This function starts etop. Note that etop is preferably started with the etop and getop scripts

start(Options) -> ok

    Types:
        Options = [Option]
        Option = {Key, Value}
        Key = atom()
        Value = term()

    This function starts etop. Use help/0 to see a description of the possible options.

help() -> ok

    This function prints the help of etop and its options.

config(Key,Value) -> Result

    Types:
        Result = ok | {error,Reason}
        Key = lines | interval | accumulate | sort
        Value = term()

    This function is used to change the tool's configuration parameters during runtime. The table above indicates the allowed values for each parameter.

dump(File) -> Result

    Types:
        Result = ok | {error,Reason}
        File = string()

    This function dumps the current display to a text file.

stop() -> stop

    This function terminates etop.